Index: trunk/SophyaPI/ProgPI/Makefile
===================================================================
--- trunk/SophyaPI/ProgPI/Makefile	(revision 3823)
+++ trunk/SophyaPI/ProgPI/Makefile	(revision 3841)
@@ -14,215 +14,477 @@
 	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)piapp.o $(SOPHYAOBJP)piacmdrdr.o $(SOPHYAOBJP)sopiamodule.o $(SOPHYAOBJP)fitsbtadapter.o $(SOPHYAOBJP)w2ps.o $(SOPHYAOBJP)skymapmodule.o $(SOPHYAALLSLBLIST)
  
-$(SOPHYAOBJP)fitsbtadapter.o: fitsbtadapter.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)fitsbtadapter.o: fitsbtadapter.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)nobjmgr.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)dlftypes.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)servnobjm.h \
-  $(SOPHYAINCP)nobjmgr.h \
-  $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)nobjmgr.h $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)dlftypes.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)zthread.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)nomgadapter.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
   $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pipixutils.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pipixutils.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphgen.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphgen.h \
   $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)generalfunc.h \
   $(SOPHYAINCP)pistdimgapp.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
-  $(SOPHYAINCP)picontainerx.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)picontainerx.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)picontainergen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)picontainerx.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pigraphx.h \
   $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piimage.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pibwdgx.h $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)pipixutils.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)picmapview.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pibwdgx.h $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)pidrawer.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pi3dwdg.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pigraph3d.h \
-  $(SOPHYAINCP)piacmd.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pibwdgx.h $(SOPHYAINCP)nobjmgr.h \
+  $(SOPHYAINCP)piacmd.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)zthread.h \
+  $(SOPHYAINCP)dlftypes.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pisiadw.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)pimenux.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)pistzwin.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pibwdgx.h $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)resusage.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)fbtntintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h \
   $(SOPHYAINCP)nomhistadapter.h \
   $(SOPHYAINCP)nomgadapter.h \
-  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)histos.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)peida.h $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h \
-  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)hisprof.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)ntuple.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)basedtable.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)thsafeop.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)swfitsdtable.h \
+  $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)swsegdb.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)fitsswapper.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)fitsinoutfile.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)fitsblkrw.h \
+  $(SOPHYAINCP)fitsinoutfile.h \
+  $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)fitshandler.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)fitsinoutfile.h \
   $(SOPHYAINCP)fitsmanager.h \
-  $(SOPHYAINCP)fitshandler.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)fitsinoutfile.h \
   $(SOPHYAINCP)fiosinit.h \
-  $(SOPHYAINCP)sophyainit.h
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsbtadapter.cc
  
 $(SOPHYAOBJP)piacmdrdr.o: piacmdrdr.cc $(SOPHYAINCP)sopnamsp.h \
-  piacmdrdr.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sspvflags.h piacmdrdr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picontainerx.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)picontainerx.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pimsghandler.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pipixutils.h \
   $(SOPHYAINCP)pimenubarx.h \
   $(SOPHYAINCP)pimenubargen.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piconsenum.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)picontainerx.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pioptmenugen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pistdwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pifilechox.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pifilechogen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)picons.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)pibwdgx.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pipixutils.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphgen.h \
   $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphgen.h \
   $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigraphps.h \
+  $(SOPHYAINCP)piconsenum.h \
   $(SOPHYAINCP)piimage.h \
   $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)pipixutils.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphgen.h \
   $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pibwdgx.h $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)pipixutils.h \
+  $(SOPHYAINCP)pistdwdgx.h \
+  $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)picmapview.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pibwdgx.h $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)pidrawer.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pi3dwdg.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pigraph3d.h \
-  $(SOPHYAINCP)nobjmgr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pibwdgx.h $(SOPHYAINCP)nobjmgr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)dlftypes.h \
-  $(SOPHYAINCP)piacmd.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)piacmd.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)machdefs.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ctimer.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)zthread.h \
+  $(SOPHYAINCP)dlftypes.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pisiadw.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)pimenux.h \
+  $(SOPHYAINCP)pioptmenux.h \
+  $(SOPHYAINCP)pistdwdgx.h \
   $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)pistzwin.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwindowx.h \
+  $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)pibwdgx.h $(SOPHYAINCP)zthread.h \
+  $(SOPHYAINCP)resusage.h \
+  $(SOPHYAINCP)machdefs.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piacmdrdr.cc
  
